Subject: Re: [PATCH net-next v1] can: ti_hecc: convert to devm_platform_ioremap_resource_byname()

From: Dejin Zheng <[email-masked]>
Date: Mon, 20 Apr 2020 21:13:27 +0800

On Sun, Apr 19, 2020 at 06:19:12PM +0200, Markus Elfring wrote:
> > use devm_platform_ioremap_resource_byname() to simplify code,
> > it contains platform_get_resource_byname() and
> > devm_ioremap_resource(), and also remove some duplicate error
> > message.
> 
> How do you think about a wording variant like the following?
> 
>    Use the function “devm_platform_ioremap_resource_byname” to simplify
>    source code which calls the functions “platform_get_resource_byname”
>    and “devm_ioremap_resource”.
>    Remove also a few error messages which became unnecessary with this
>    software refactoring.
>
Markus, Thank you very much！yes, your comments is better. I will send
the patch v2. Thanks again!

> 
> Will any more contributors get into the development mood to achieve
> similar collateral evolution by the means of the semantic patch language?
> Would you like to increase applications of the Coccinelle software?
>
I want, but currently I don't have much free time, sorry！

BR,
Dejin
> Regards,
> Markus